Subject: Re: [PATCH 0/2] breaking-changes: deprecate support for core.commentChar=auto

From: Oswald Buddenhagen <[email-masked]>
Date: Sat, 12 Jul 2025 10:01:45 +0200

On Fri, Jul 11, 2025 at 10:07:01AM -0700, Junio C Hamano wrote:
>Isn't it last-one-wins?  How about just telling them to do without
>any "git config unset" [...]
>
i wouldn't bother suggesting specific fixes, and just suggest using `git 
config list --show-scope` to figure out where the config comes from.  
waaaay simpler, and avoids the pesky policy questions.

i'm also in favor of just refusing to operate when the 'auto' setting is 
encountered, as that also is the simplest and fail-safe approach.